## apngasm-3.1.6.tar.gz

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(APNGASM)


ADD_SUBDIRECTORY(${PROJECT_SOURCE_DIR}/lib)
ADD_SUBDIRECTORY(${PROJECT_SOURCE_DIR}/cli)
ADD_SUBDIRECTORY(${PROJECT_SOURCE_DIR}/test)


# Create package command
IF(UNIX OR APPLE)
  ADD_CUSTOM_TARGET(
    package
    COMMAND ${CMAKE_MAKE_PROGRAM}
    COMMAND ${CMAKE_MAKE_PROGRAM} package-lib
    COMMAND ${CMAKE_MAKE_PROGRAM} package-cli
    WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
  )
ENDIF(UNIX OR APPLE)

IF(WIN32)
  ADD_CUSTOM_TARGET(
    package
    COMMAND cd lib/package
    COMMAND ${CMAKE_COMMAND} .
    COMMAND ${CMAKE_MAKE_PROGRAM} PACKAGE.vcxproj /p:Configuration=$(Configuration)
    COMMAND cd ../../cli/package
    COMMAND ${CMAKE_COMMAND} .
    COMMAND ${CMAKE_MAKE_PROGRAM} PACKAGE.vcxproj /p:Configuration=$(Configuration)
    WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
  )
ENDIF(WIN32)

=== cli/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(APNGASM_CLI)


# Generate version header
SET(APNGASM_CLI_VERSION_MAJOR 3)
SET(APNGASM_CLI_VERSION_MINOR 1)
SET(APNGASM_CLI_VERSION_PATCH 6)
SET(APNGASM_CLI_VERSION "${APNGASM_CLI_VERSION_MAJOR}.${APNGASM_CLI_VERSION_MINOR}.${APNGASM_CLI_VERSION_PATCH}")

CONFIGURE_FILE(${PROJECT_SOURCE_DIR}/src/apngasm-cli-version.h.in ${PROJECT_BINARY_DIR}/src/apngasm-cli-version.h @ONLY)
INCLUDE_DIRECTORIES(${PROJECT_BINARY_DIR}/src)

# Generate executable file
ADD_EXECUTABLE(apngasm-cli
    ${PROJECT_SOURCE_DIR}/src/apngasm-cli.cpp
    ${PROJECT_SOURCE_DIR}/src/options.cpp
    ${PROJECT_SOURCE_DIR}/src/cli.cpp
)
SET_TARGET_PROPERTIES(apngasm-cli
	PROPERTIES OUTPUT_NAME apngasm)

# Link libraries
LINK_DIRECTORIES(${PROJECT_BINARY_DIR}/../lib)
INCLUDE_DIRECTORIES(
  ${PROJECT_SOURCE_DIR}/../lib/src
  ${PROJECT_BINARY_DIR}/../lib/src
)
TARGET_LINK_LIBRARIES(apngasm-cli apngasm)

FIND_PACKAGE(ZLIB REQUIRED)
INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIRS})
TARGET_LINK_LIBRARIES(apngasm-cli ${ZLIB_LIBRARIES})

IF(APPLE OR WIN32)
  SET(Boost_USE_STATIC_LIBS ON)
ENDIF(APPLE OR WIN32)
FIND_PACKAGE(Boost REQUIRED COMPONENTS program_options regex filesystem system) 
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS}) 
TARGET_LINK_LIBRARIES(apngasm-cli ${Boost_LIBRARIES})

# Installation
INSTALL(TARGETS apngasm-cli DESTINATION "bin")

# Create package command
SET(PACKAGE_DIR ${PROJECT_BINARY_DIR}/package)
GET_PROPERTY(INSTALL_APPS TARGET apngasm-cli PROPERTY LOCATION)

IF(WIN32)
  SET(INSTALL_HEADERS "${PROJECT_SOURCE_DIR}/../lib/src/apngasm.h ${PROJECT_SOURCE_DIR}/../lib/src/apngframe.h ${PROJECT_SOURCE_DIR}/../lib/src/apngasm-conf.h ${PROJECT_BINARY_DIR}/../lib/src/apngasm-version.h")
  GET_PROPERTY(INSTALL_LIBS TARGET apngasm PROPERTY LOCATION)
  STRING(REPLACE "$(Configuration)" "\\\${CMAKE_INSTALL_CONFIG_NAME}" INSTALL_APPS "${INSTALL_APPS}")
  STRING(REPLACE "$(Configuration)" "\\\${CMAKE_INSTALL_CONFIG_NAME}" INSTALL_LIBS "${INSTALL_LIBS}")
ENDIF(WIN32)

INCLUDE(${PROJECT_BINARY_DIR}/../lib/manifest.txt)
CONFIGURE_FILE(${PROJECT_SOURCE_DIR}/package/CMakeLists.txt.in ${PACKAGE_DIR}/CMakeLists.txt @ONLY)

IF(UNIX OR APPLE)
  ADD_CUSTOM_TARGET(
    package-cli
    COMMAND ${CMAKE_COMMAND} .
    COMMAND ${CMAKE_MAKE_PROGRAM} package
    WORKING_DIRECTORY ${PACKAGE_DIR}
  )
  INSTALL(FILES ${PROJECT_SOURCE_DIR}/../docs/man/apngasm.1 DESTINATION ${CMAKE_INSTALL_PREFIX}/man/man1)
ENDIF(UNIX OR APPLE)

=== lib/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(APNGASM_LIB)


# Generate version header
SET(APNGASM_LIB_VERSION_MAJOR 3)
SET(APNGASM_LIB_VERSION_MINOR 1)
SET(APNGASM_LIB_VERSION_PATCH 6)
SET(APNGASM_LIB_VERSION "${APNGASM_LIB_VERSION_MAJOR}.${APNGASM_LIB_VERSION_MINOR}.${APNGASM_LIB_VERSION_PATCH}")

CONFIGURE_FILE(${PROJECT_SOURCE_DIR}/src/apngasm-version.h.in ${PROJECT_BINARY_DIR}/src/apngasm-version.h @ONLY)
INCLUDE_DIRECTORIES(${PROJECT_BINARY_DIR}/src)

CONFIGURE_FILE(${PROJECT_SOURCE_DIR}/manifest.txt.in ${PROJECT_BINARY_DIR}/manifest.txt @ONLY)


# shared library and sources
ADD_LIBRARY(apngasm SHARED
  ${PROJECT_SOURCE_DIR}/src/apngasm.cpp
  ${PROJECT_SOURCE_DIR}/src/apngframe.cpp
  ${PROJECT_SOURCE_DIR}/src/spec/specreader.cpp
  ${PROJECT_SOURCE_DIR}/src/spec/specwriter.cpp
  ${PROJECT_SOURCE_DIR}/src/spec/priv/specreaderimpl.cpp
  ${PROJECT_SOURCE_DIR}/src/spec/priv/specwriterimpl.cpp
  ${PROJECT_SOURCE_DIR}/src/listener/apngasmlistener.cpp
)


# Link libraries
FIND_PACKAGE(PNG REQUIRED)
INCLUDE_DIRECTORIES(${PNG_INCLUDE_DIR})
TARGET_LINK_LIBRARIES(apngasm ${PNG_LIBRARY})

FIND_PACKAGE(ZLIB REQUIRED)
INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIRS})
TARGET_LINK_LIBRARIES(apngasm ${ZLIB_LIBRARIES})

IF(APPLE OR WIN32)
  SET(Boost_USE_STATIC_LIBS ON)
ENDIF(APPLE OR WIN32)
FIND_PACKAGE(Boost REQUIRED COMPONENTS program_options regex filesystem system) 
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
TARGET_LINK_LIBRARIES(apngasm ${Boost_LIBRARIES})

# Installation
INSTALL(FILES 
	${PROJECT_SOURCE_DIR}/src/apngasm.h
	${PROJECT_SOURCE_DIR}/src/apngframe.h
	${PROJECT_SOURCE_DIR}/src/apngasm-conf.h
	${PROJECT_BINARY_DIR}/src/apngasm-version.h
	DESTINATION "include")
INSTALL(TARGETS apngasm DESTINATION "lib")

# Create package command
SET(PACKAGE_DIR ${PROJECT_BINARY_DIR}/package)
SET(INSTALL_HEADERS "${PROJECT_SOURCE_DIR}/src/apngasm.h ${PROJECT_SOURCE_DIR}/src/apngframe.h ${PROJECT_SOURCE_DIR}/src/apngasm-conf.h ${PROJECT_BINARY_DIR}/src/apngasm-version.h")
GET_PROPERTY(INSTALL_LIBS TARGET apngasm PROPERTY LOCATION)

IF(WIN32)
  STRING(REPLACE "$(Configuration)" "\\\${CMAKE_INSTALL_CONFIG_NAME}" INSTALL_LIBS "${INSTALL_LIBS}")
ENDIF(WIN32)

CONFIGURE_FILE(${PROJECT_SOURCE_DIR}/package/CMakeLists.txt.in ${PACKAGE_DIR}/CMakeLists.txt @ONLY)

IF(UNIX OR APPLE)
  ADD_CUSTOM_TARGET(
    package-lib
    COMMAND ${CMAKE_COMMAND} .
    COMMAND ${CMAKE_MAKE_PROGRAM} package
    WORKING_DIRECTORY ${PACKAGE_DIR}
  )
ENDIF(UNIX OR APPLE)

=== test/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(APNGASM_TEST)

INCLUDE_DIRECTORIES(${PROJECT_BINARY_DIR}/src)

ENABLE_TESTING()
# Generate executable file
ADD_EXECUTABLE(apngasm-test
	EXCLUDE_FROM_ALL
    ${PROJECT_SOURCE_DIR}/apngtest.cpp
)

SET_TARGET_PROPERTIES(apngasm-test
	PROPERTIES OUTPUT_NAME apngtest)

LINK_DIRECTORIES(${PROJECT_BINARY_DIR}/../lib)
INCLUDE_DIRECTORIES(
  ${PROJECT_SOURCE_DIR}/../lib/src
  ${PROJECT_BINARY_DIR}/../lib/src
)
TARGET_LINK_LIBRARIES(apngasm-test apngasm)

ADD_TEST(
	NAME apngasm-test
	COMMAND apngasm-test
)

FIND_PACKAGE(ZLIB REQUIRED)
INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIRS})
TARGET_LINK_LIBRARIES(apngasm-test ${ZLIB_LIBRARIES})

FILE(COPY ${PROJECT_SOURCE_DIR}/samples DESTINATION ./)
FILE(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/out)

=== debian/changelog ===
apngasm (3.1.6) trusty; urgency=low

  * fix for boost 1.59(+)

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Fri, 21 Aug 2016 14:16:52 +0900

apngasm (3.1.5) trusty; urgency=low

  * fixed skip_first bug

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Thu, 13 Nov 2014 16:28:20 +0900

apngasm (3.1.4) trusty; urgency=low

  * fixed memory leaks
  * added more robust handling of PNG sources
  * added improvements for duplicate frames

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Tue, 21 Oct 2014 14:48:40 +0900

apngasm (3.1-3ppa0) trusty; urgency=low

  * fixed skip-frame issues
  * properly implemented disassemble with skipped frame
  * fixed JSON/XML issues

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Mon, 02 Jun 2014 16:39:55 +0900

apngasm (3.1-2ppa0) trusty; urgency=low

  * fixed hooks and listener for loops and frame skip
  * fixed JSON and XML parser for loops and frame skip
  * fixed loop and frame skip functionality from CLI

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Thu, 22 May 2014 10:45:16 +0900

apngasm (3.1-1ppa1) trusty; urgency=low

  * re-adjusted debian/rules for compatibility

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Thu, 15 May 2014 10:33:03 +0900

apngasm (3.1-1ppa0) trusty; urgency=low

  * add RGB/ARGB frame addtion in APNGAsm class
  * adjust dependencies for debian

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Wed, 14 May 2014 22:03:13 +0900

apngasm (3.1-0ppa2) trusty; urgency=low

  * adjust dependencies

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Tue, 13 May 2014 00:58:10 +0900

apngasm (3.1-0ppa1) trusty; urgency=low

  * debuild adjustment, PPA rebuild

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Mon, 12 May 2014 20:29:00 +0900

apngasm (3.1-0ppa0) trusty; urgency=low

  * Update to 3.1

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Tue, 06 May 2014 23:24:57 +0900

apngasm (3.0-0ppa0) saucy; urgency=low

  * Version 3.0.0 "stable" release.

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org> Tue, 07 Jan 2014 01:03:26 +0900

=== debian/control ===
Source: apngasm
Section: devel
Priority: optional
Maintainer: Rei Kagetsuki <zero@genshin.org>
Build-Depends: cmake, build-essential, cdbs, libpng-dev, libboost1.55-dev, 
  libboost-program-options1.55-dev, libboost-regex1.55-dev,
  libboost-system1.55-dev, libboost-filesystem1.55-dev
Homepage: https://github.com/apngasm/apngasm
Vcs-Browser: https://github.com/apngasm/apngasm.git
Vcs-Git: git://github.com:apngasm/apngasm.git

Package: apngasm
Architecture: any
Depends: libapngasm, libboost-program-options1.55.0, ${shlibs:Depends},
  ${misc:Depends}
Description: Animated PNG Assembler CLI tool
  Assemble APNG animations from PNG image sequences.
  This is the command line tool to create APNG files from
  individual PNG files.
  .
  The Animated Portable Network Graphics (APNG) file format is an
  extension to the Portable Network Graphics (PNG) specification. It
  allows for animated PNG files that work similarly to animated GIF
  files, while retaining backward compatibility with non-animated PNG
  files and adding support for 8-bit transparency and 24-bit images.

Package: libapngasm
Architecture: any
Depends: libpng12-0, libboost-regex1.55.0, libboost-system1.55.0,
  libboost-filesystem1.55.0, ${shlibs:Depends}, ${misc:Depends}
Description: APNG Assembler library
  C++ Library to assemble APNG animations from PNG image sequences
  or RGB+A data. apngasm can also be used to read and disassemble 
  PNG/APNG images.
  .
  The apngasm library can be used alone or in conjunction with many
  popular image processing libraries.
  .
  The Animated Portable Network Graphics (APNG) file format is an
  extension to the Portable Network Graphics (PNG) specification. It
  allows for animated PNG files that work similarly to animated GIF
  files, while retaining backward compatibility with non-animated PNG
  files and adding support for 8-bit transparency and 24-bit images.
